SWFButton
SWFButton::addASound
SWFButton
PHP Manual

# SWFButton::addAction

(PHP 5 <= 5.3.0, PECL ming SVN)

SWFButton::addAction — Adds an action

### Description

void SWFButton::addAction ( SWFAction `$action` , int `$flags` )
Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

Adds the given `action` to the button for the given conditions.

### Parameters

`action`

  An SWFAction, returned by SWFAction::__construct().

`flags`

  The following `flags` are valid: `SWFBUTTON_MOUSEOVER`, `SWFBUTTON_MOUSEOUT`, `SWFBUTTON_MOUSEUP`, `SWFBUTTON_MOUSEUPOUTSIDE`, `SWFBUTTON_MOUSEDOWN`, `SWFBUTTON_DRAGOUT` and `SWFBUTTON_DRAGOVER`.

### Return Values

No value is returned.

### See Also

- SWFButton::addShape() - Adds a shape to a button
- SWFAction

SWFButton
SWFButton::addASound
SWFButton
PHP Manual